Vad ska jag göra när vår wifi-enhet bara har drivrutiner för Windows?

Jag har bestämt mig för att ta itu med det här problemet eftersom Wi-Fi-nätverk blir ganska populära i studiecentra och i många arbetscenter, men vad ska jag göra när Wi-Fi-enheten på vår dator bara har Windows-drivrutiner?

När denna situation händer oss bör Linux-användare inte vara rädda, det finns ett program som heter ndiswrapper som gör att enheten kan arbeta med Windows-drivrutinen.

Sättet att göra det med Debian 6 och dess derivat är:

1: Installera ndiswrapper

$ sudo apt-get install ndiswrapper-common ndiswrapper-utils-1.9 wireless-tools

2: Kopiera filerna .INF y SYS som finns på CD: n i en mapp på din dator till exempel / home / tu_user

3: Installera drivrutinen

$ sudo ndiswrapper -i nombre-driver.inf

Kontrollera sedan att drivrutinen har installerats korrekt

$ ndiswrapper -l

Installera äntligen ndiswrapper-drivrutinen

$ sudo modprobe ndiswrapper

Om det här kommandot utför ett fel som säger att det inte har ndiswrapper-modulen (det händer vanligtvis när vi har bigmem-kärnan installerad, det hände mig nyligen)

$ sudo apt-get install module-assistant

$ sudo m-a a-i ndiswrapper

Med det här alternativet kompilerar vi om modulen (eller drivrutinen för kärnan som vi använder).

Sedan

$ sudo modprobe ndiswrapper

För att verifiera att enheten fungerar som den ska

$ sudo iwconfig

och något liknande bör visas på skärmen:

inga trådlösa tillägg. eth0 inga trådlösa tillägg. wlan0 IEEE 802.11bgn ESSID: av / valfritt läge: Managed Access Point: Ej associerad Tx-Power = 20 dBm Försök lång gräns: 7 RTS thr: av Fragment thr: av Krypteringsnyckel: av Strömhantering: på pan0 inga trådlösa tillägg.

Nu när allt är bra gör vi att ndiswrapper-drivrutinen laddas när systemet startar.

$ sudo ndiswrapper -m

För att aktivera det trådlösa gränssnittet

$ sudo ifconfig wlan0 up

Det senare måste göras varje gång om du startar systemet, såvida vi inte gör det automatiskt.

OBS: om du har Linux X64 måste drivrutinerna också vara för X64-arkitektur

Programmet ndiswrapper är utformat för drivrutiner för trådlösa WIFI-enheter som kan vara USB eller PCI men i någon annan dokumentation står det att samma kan också göras för winmodem och annan hårdvara, jag har inte provat det och jag lämnar det fältet öppet för läsare.

Och nu för att njuta av det trådlösa nätverket, men du måste installera programmen för att upptäcka nätverk till exempel Wifi Radar, men det är en annan artikel.

Artikel hämtad från GUTL.


Innehållet i artikeln följer våra principer om redaktionell etik. Klicka på för att rapportera ett fel här.

16 kommentarer, lämna din

Lämna din kommentar

Din e-postadress kommer inte att publiceras.

*

*

  1. Ansvarig för uppgifterna: Miguel Ángel Gatón
  2. Syftet med uppgifterna: Kontrollera skräppost, kommentarhantering.
  3. Legitimering: Ditt samtycke
  4. Kommunikation av uppgifterna: Uppgifterna kommer inte att kommuniceras till tredje part förutom enligt laglig skyldighet.
  5. Datalagring: databas värd för Occentus Networks (EU)
  6. Rättigheter: När som helst kan du begränsa, återställa och radera din information.

  1.   oscar sade

    Kommer den här lösningen att fungera på Wheezy också?

  2.   Blaire pascal sade

    Mycket bra. Lyckligtvis har mitt WiFi-kort inte gett mig så mycket smärta, jag byter bara NetworkManager för Wicd, tyvärr fungerar inte förarna optimalt.

  3.   Elynx sade

    Tack för tipset!

  4.   B1tBlu3 sade

    Tack, det kommer att vara användbart!

  5.   elendilnarsil sade

    Endast en gång var jag tvungen att tillgripa denna procedur, och det var med Mandriva 2011, och jag gick hårt.

  6.   Carlos-Xfce sade

    Min Sony 2006-dator Vaio har en switch för Wi-Fi. Det visar sig att en sådan omkopplare, både på Sony Vaio och Toshiba-modellerna, är en röra som lätt skadas och skadar ditt Wi-Fi. Hur det fick mig att lida!

    Jag köpte nyligen en Wifi-adapter, modell DWA-125N från D-Link. Och jävla brytaren inaktiverade nätverket som standard! Jag led mycket, men hittade hur jag fixade det.

    Nu för tiden. Tack vare denna Wi-fi-adapter kan jag njuta av en utmärkt trådlös anslutning utan att använda egna drivrutiner, eftersom D-Link-märket erbjuder drivrutiner för Linux. 🙂

  7.   truko22 sade

    Intressant, spara informationen när du behöver den 😀 tack så mycket.

  8.   nörd sade

    Jag har också använt detta alternativ tidigare med en Broadcom 4318 som är lite motstridiga i vissa distros men de drivrutiner som den accepterade måste vara kompatibla med Windows XP.

    Nu när jag vet lite mer installerar jag bara firmware-b43-installer som ansluter via kabel för att ladda ner paketet och voila!

  9.   regnbågsfluga sade

    Hmm, skulle detta också vara giltigt i Arch?

  10.   MSX sade

    Men ... finns det modern HW-wifi som inte stöds av kärnan?

  11.   Nila sade

    Hallå! Snabb fråga som är helt utanför ämnet. Vet du hur du gör din webbplats mobilvänlig? Min webbplats ser konstig ut när jag tittar på den från min iPhone. Jag försöker hitta ett tema eller plugin som kan lösa problemet.

    Om du har några rekommendationer, snälla dela.

    Stort tack!

  12.   Carlos-Xfce sade

    Elav, var är du? Eftersom jag inte har Facebook, Twitter eller Google+ är det här det enda sättet jag kan tänka mig att kontakta dig.

    Något konstigt hände mig just med Thunar: ögonfransarna kom ut! Men det konstiga är att jag under ett tag (förra året) inte har uppdaterat något på min Xubuntu 12.10. Det känns riktigt konstigt, särskilt när jag klickar på mushjulet.

    Kan du göra en artikel om det?

    Tack så mycket och gott nytt år.

    1.    elav sade

      Hahahaha, har Thunar verkligen ögonfransar? Åh !! Jag visste inte hahahaha .. Tyvärr min vän, jag måste installera en virtuell maskin för att fortsätta skriva om Xfce eftersom KDE fångade mig i Conqis grotta och inte släpper ut mig ..

      1.    Carlos-Xfce sade

        Hej. Tack för att du svarade, Elav. Hej, något konstigt pågår, mina ögonfransar kommer inte ut på Thunar längre. Och något konstigare: i Iron-webbläsaren ser det nu ut som det gamla YouTube-gränssnittet medan jag i Firefox ser det nya. Jag förstår inte.

        Oroa dig inte för vad jag frågade dig. Jag föreställer mig att KDE ger dig en ny och intressant värld. Jag har ännu inte gett den en chans eftersom den här bärbara datorn jag använder är från 2006 och med Xfce fungerar den som en charm för mig.

        Tills nästa gång! Jag hoppas kunna läsa dig igen snart i en ny artikel.

        1.    elav sade

          Tja ja, allt är konstigt, eller hur? 😕

  13.   Helvert Camacho sade

    hej, jag är ny på Linux men jag får följande fel när jag ska installera drivrutinen $ sudo ndiswrapper -i net8192cu.inf
    kunde inte öppna net8192cu.inf: Filen eller katalogen på /usr/sbin/ndiswrapper-1.9 rad 162 finns inte.